import { CustomPlugin, Data, PluginTypes } from '../../types/index.d'
import map from './map'

type CustomRequestPlugin = CustomPlugin<{
    onSuccess(res: Data): any
}>

export default {
    name: 'customRequestPlugin',
    type: PluginTypes.Plugin,
    onSuccess(res){
        console.log(res);
        res.pageJSON = map( res.pageJSON )
        return res
    }
} as CustomRequestPlugin