// UI管理器
import {ComponentPublicInstance} from 'vue'
import {SimpleManager, Cache} from "./common/simple";

// 组件管理
export class ComponentManager extends SimpleManager{
    constructor(){
        super()
        this.name = 'Component'
        this.carReset = false
    }

    getUIInstance(key: string): ComponentPublicInstance | undefined{
        const component = this.get(key)

        if(!component) return undefined

        return (component as ComponentPublicInstance<any>).$refs?.ui
    }
}