import { FormatterPlugin } from '../manager'
import { PluginTypes, FormatterTypes } from '../constant'
import dayjs from 'dayjs'

export default {
    name: FormatterTypes.Timestamp,
    type: PluginTypes.Formatter,
    toDisplay(value: number, formatTemplate): string{
        return dayjs(value).format(formatTemplate)
    }
} as FormatterPlugin