import {App} from 'vue'
import Engine, {Config} from './engine'
import {version} from '../package.json'
import { SchemaRenderer } from './components/renderer'
import { addRoute } from './router'

export function createEngine(options: Config): App{
    const engine = new Engine(options)

    return engine.getApp()
}

// const version = '0.0.5'

export {
    Engine,
    addRoute,
    version,
    SchemaRenderer
}