import { reactive, ref } from 'vue'
import { Data } from '../../schema'
import { mergeObjects } from '../../util'

export default function useSource(){
    // const source = ref({})
    // const setSource = (newV: Data) => {
    //     source.value = newV
    //     console.log('setSource', newV)
    // }
    const source = reactive({})
    const setSource = (newV: Data) => mergeObjects(source, newV)

    return {
        source,
        setSource
    }
}