import commonParser from './common'
import frameParser from './frame'
import pageParser from './page'
import formParser from "./form"
import buttonParser from './button'
import tableParser from './table'
import dialogParser from './dialog'
import tabsParser from './tabs'
import panelParser from './panel'

export const parsers = [
    commonParser,
    frameParser,
    pageParser,
    formParser,
    buttonParser,
    tableParser,
    dialogParser,
    tabsParser,
    panelParser,
]

export * from './form'
export * from './table'
export * from './dialog'
export * from './panel'