import { isString, isFunction } from "."

const enum LogLevels {
    Error = 'error',
    Warn = 'warn',
    Info = 'info',
}

export function log(level: LogLevels, massage: string, ...args: any[]){
    const logArgs = [`[KCP Engine warn]: ${massage}`, ...args.map( item => isString(item) ? item : JSON.stringify(item))]
    const log = console[level]

    isFunction(log) && log(...logArgs)
}

const logger = {
    error: (massage: string, ...args: any[]) => log(LogLevels.Error, massage, ...args),
    warn: (massage: string, ...args: any[]) => log(LogLevels.Warn, massage, ...args),
    info: (massage: string, ...args: any[]) => log(LogLevels.Info, massage, ...args),
}

export default logger
